#
# spec file for package rubygem-newrelic_rpm
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-newrelic_rpm
Version:        4.5.0.337
Release:        1.1
%define mod_name newrelic_rpm
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.0.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            https://github.com/newrelic/rpm
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        New Relic Ruby Agent
License:        New Relic
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
New Relic is a performance management system, developed by New Relic,
Inc (http://www.newrelic.com).  New Relic provides you with deep
information about the performance of your web application as it runs
in production. The New Relic Ruby Agent is dual-purposed as a either a
Gem or plugin, hosted on
https://github.com/newrelic/rpm/.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Wed Oct 11 2017 coolo@suse.com
- updated to version 4.5.0.337
  see installed CHANGELOG.md
  [#]# v4.5.0 ##
  * Send synthetics headers even when CAT disabled
    The agent now sends synthetics headers whenever they are received from an
    external request, even if cross-application tracing is disabled.
  * Bugfix for DelayedJob Daemonization
    Customers using the delayed_job script that ships with the gem may encounter
    an IOError with a message indicating the stream was closed. This was due to
    the agent attempting to write a byte into a Pipe that was closed during the
    deamonization of the delayed_job script. This issue has been fixed.
  * Collect supportability metrics for public API
    The agent now collects Supportability/API/{method} metrics to track usage of
    all methods in the agent's public API.
  * Collect supportability metrics on `Module#prepend`
    The agent now collects Supportability/PrependedModules/{Module} metrics
    for ActiveRecord 4 and 5, ActionController 4 and 5, ActionView 4 and 5,
    ActiveJob 5, and ActionCable 5. These help track the adoption of the
    `Module#prepend` method so we can maintain compatibility with newer versions
    of Ruby and Rails.
  * Collect explain plans when using PostGIS ActiveRecord adapter
    The agent will now collect slow SQL explain plans, if configured to, on
    connections using the PostGIS adapter. Thanks Ari Pollak for the contribution!
  * Lazily intialize New Relic Config
    The agent will lazily initialize the New Relic config. This allows the agent
    to pickup configuration from environment variables set by dotenv and similar
    tools.
* Mon Sep 11 2017 coolo@suse.com
- updated to version 4.4.0.336
  see installed CHANGELOG.md
  [#]# v4.4.0 ##
  * Include test helper for 3rd party use
    In 4.2.0, all test files were excluded from being packaged in the gem. An
    agent class method `NewRelic::Agent.require_test_helper` was used by 3rd
    party gem authors to test extensions to the agent. The required file is now
    included in the gem.
  * Collect cloud metadata from Azure, GCP, PCF, and AWS cloud platform
    The agent now collects additional metadata when running in AWS, GCP, Azure, and
    PCF. This information is used to provide an enhanced experience when the agent
    is deployed on those platforms.
  * Install `at_exit` hook when running JRuby
    The agent now installs an `at_exit` hook when running JRuby, which wasn't
    done before because of constraints related to older JRuby versions that
    are no longer supported.
  * User/Utilization and System/Utilization metrics not recorded after Resque forks
    The agent no longer records invalid User/Utilization and System/Utilization
    metrics, which can lead to negative values, in forks of Resque processes.
  * Add `identifier` field to agent connect settings
    The agent now includes a unique identifier in its connect settings, ensuring
    that when multiple agents connect to multiple different apps, data are reported
    for each of the apps.
  * Clear transaction state after forking now opt-in
    The agent waits to connect until the first web request when it detects it's
    running in a forking dispatcher. When clearing the transaction state in this
    situation we lose the first frame of the transaction and the subsequent
    trace becomes corrupted. We've made this feature opt-in and is turned off by
    default. This behavior only affects the first transaction after a dispatcher
    forks.
* Thu Aug  3 2017 coolo@suse.com
- updated to version 4.3.0.335
  see installed CHANGELOG.md
  [#]# v4.3.0 ##
  * Instrumentation for the Bunny AMQP Client
    The Bunny AMQP Client is now automatically instrumented. The agent will
    report data for messages sent and received by an application. Data on messages
    is available in both APM and Insights. Applications connected through a
    RabbitMQ exchange will now also be visible on Service Maps as part of Cross
    Application Tracing. See the [message queues documentation page](https://docs.newrelic.com/docs/agents/ruby-agent/features/message-queues)
    for more details.
  * Safely normalize external hostnames
    The agent has been updated to check for nil host values before downcasing the
    hostname. Thanks Rafael Valério for the contribution!
  * PageView events will not be generated for ignored transactions
    The agent now checks if transaction is ignored before injecting the New Relic
    Browser Agent. This will prevent PageView events from being generated for
    ignored transactions.
  * Datastores required explicitly in agent
    The agent has been modified to explicity `require` the Datastores module
    whereas previously there were situations where the module could be
    implicitly defined. Thanks Kevin Griffin for the contribution!
  * Clear transaction state after forking
    Previously, if a transaction was started and the process forks, the transaction
    state survived the fork and `#after_fork` call in thread local storage. Now,
    this state is cleared by `#after_fork`.
  * Postgis adapter reports as Postgres for datastores
    The agent now maps the Postgis adapter to Postgres for datastore metrics.
    Thanks Vojtěch Vondra for the contribution!
  * Deprecate `:trace_only` option
    The `NewRelic::Agent.notice_error` API has been updated to deprecate the
    `:trace_only` option in favor of `:expected`.
* Tue May 30 2017 coolo@suse.com
- updated to version 4.2.0.334
  see installed CHANGELOG.md
  [#]# v4.2.0 ##
  * Sinatra 2.0 and Padrino 0.14.x Support
    The agent has been verified against the latest versions of Sinatra and Padrino.
  * Rails 5.1 Support
    The Ruby agent has been validated against the latest release of Ruby on Rails!
  * APP_ENV considered when determining environment
    The agent will now consider the APP_ENV environment when starting up.
  * Test files excluded from gem
    The gemspec has been updated to exclude test files from being packaged into the
    gem. Thanks dimko for the contribution!
* Thu Apr 13 2017 coolo@suse.com
- updated to version 4.1.0.333
  see installed CHANGELOG.md
  [#]# v4.1.0 ##
  * Developer Mode removed
    The Ruby Agent's Developer Mode, which provided a very limited view of your
    application performance data, has been removed. For more information, check
    out our [community forum](https://discuss.newrelic.com/t/feedback-on-the-ruby-agent-s-developer-mode/46957).
  * Support NEW_RELIC_ENV for Rails apps
    Previously, users could set the agent environment with NEW_RELIC_ENV only
    for non-Rails apps. For Rails app, the agent environment would use whatever
    the Rails environment was set to. Now, NEW_RELIC_ENV can also be used for
    Rails apps, so that it is possible to have an agent environment that is
    different from the Rails environment. Thanks Andrea Campolonghi for the
    contribution, as well as Steve Schwartz for also looking into this issue!
  * Normalization of external hostnames
    Hostnames from URIs used in external HTTP requests are now always downcased
    to prevent duplicate metrics when only case is different.
* Fri Mar 17 2017 coolo@suse.com
- updated to version 4.0.0.332
  see installed CHANGELOG.md
  [#]# v4.0.0 ##
  * Require Ruby 2.0.0+
    The agent no longer supports Ruby versions prior to 2.0, JRuby 1.7 and
    earlier, and all versions of Rubinius. Customers using affected Rubies
    can continue to run 3.x agent versions, but new features or bugfixes
    will not be published for 3.x agents. For more information, check out our
    [community forum](https://discuss.newrelic.com/t/support-for-ruby-jruby-1-x-is-being-deprecated-in-ruby-agent-4-0-0/44787).
  * OkJson vendored library removed
    Ruby 1.8 did not include the JSON gem by default, so the agent included a
    vendored version of [OkJson](https://github.com/kr/okjson) that it would fall
    back on using in cases where the JSON gem was not available. This has been
    removed.
  * YAJL workaround removed
    [yajl-ruby](https://github.com/brianmario/yajl-ruby) versions prior to 1.2 had
    the potential to cause a segmentation fault when working large, deeply-nested
    objects like thread profiles. If you are using yajl-ruby with the `JSON`
    monkey patches enabled by requiring `yajl/json_gem`, you should upgrade to
    at least version 1.2.
  * Deprecated APIs removed
  * `Agent.abort_transaction!`
  * `Agent.add_custom_parameters`
  * `Agent.add_request_parameters`
  * `Agent.browser_timing_footer`
  * `Agent.get_stats`
  * `Agent.get_stats_no_scope`
  * `Agent.record_transaction`
  * `Agent.reset_stats`
  * `Agent.set_user_attributes`
  * `Agent::Instrumentation::Rack`
  * `ActionController#newrelic_notice_error`
  * `ActiveRecordHelper.rollup_metrics_for` (may be incompatible with newrelic_moped)
  * `Instrumentation::MetricFrame.recording_web_transaction?`
  * `Instrumentation::MetricFrame.abort_transaction!`
  * `MethodTracer.get_stats_scoped`
  * `MethodTracer.get_stats_unscoped`
  * `MethodTracer.trace_method_execution`
  * `MethodTracer.trace_method_execution_no_scope`
  * `MethodTracer.trace_method_execution_with_scope`
  * `MetricSpec#sub`
  * `MetricStats#get_stats`
  * `MetricStats#get_stats_no_scope`
  * `NoticedError#exception_class`
  * `Rack::ErrorCollector`
  * `StatsEngine::Samplers.add_sampler`
  * `StatsEngine::Samplers.add_harvest_sampler`
    The above methods have had deprecation notices on them for some time and
    have now been removed. Assistance migrating usage of these APIs is
    available at https://docs.newrelic.com/node/2601.
    The agent no longer deletes deprecated keys passed to `add_method_tracer`. Passing
    in deprecated keys can cause an exception. Ensure that you are not passing any of
    the following keys: `:force, :scoped_metric_only, :deduct_call_time_from_parent`
    to `add_method_tracer`.
    The agent no longer deletes deprecated keys passed in as options to
    `NewRelic::Agent.notice_error`. If you are passing any of these deprecated
    keys: `:request_params, :request, :referer` to the `notice_error` API, please
    delete them otherwise they will be collected as custom attributes.
  * Error handling changes
    The agent now only checks for `original_exception` in environments with Rails
    versions prior to 5. Checking for `Exception#cause` has been removed. In addition,
    the agent now will match class name with message and backtrace when noticing
    errors that have an `original_exception`.
* Tue Feb 14 2017 coolo@suse.com
- updated to version 3.18.1.330
  see installed CHANGELOG.md
  [#]# v3.18.1 ##
  * Ensure Mongo aggregate queries are properly obfuscated
    Instrumentation for the Mongo 2.x driver had a bug where the `pipeline`
    attribute of Mongo aggregate queries was not properly obfuscated. Users
    who have sensitive data in their `aggregate` queries are strongly encouraged
    to upgrade to this version of the agent. Users who are unable to upgrade are
    encouraged to turn off query collection using by setting
    `mongo.capture_queries` to false in their newrelic.yml files.
  * Early access Redis 4.0 instrumentation
    Our Redis instrumentation has been tested against Redis 4.0.0.rc1.
* Tue Jan 24 2017 coolo@suse.com
- updated to version 3.18.0.329
  see installed CHANGELOG.md
* Wed Dec 14 2016 coolo@suse.com
- updated to version 3.17.2.327
  CHANGELOG removed upstream
* Mon Nov 14 2016 coolo@suse.com
- updated to version 3.17.1.326
  see installed CHANGELOG
  [#]# v3.17.1 ##
  * Datastore instance reporting for Redis, MongoDB, and memcached
    The agent now collects datastore instance information for Redis, MongoDB,
    and memcached. This information is displayed in transaction traces and slow
    query traces. For memcached only, multi requests will expand to individual
    server nodes, and the operation and key(s) will show in the trace details
    "Database query" section. Metrics for `get_multi` nodes will change slightly.
    Parent nodes for a `get_multi` will be recorded as generic segments. Their
    children will be recorded as datastore segments under the name
    `get_multi_request` and represent a batch request to a single Memcached
    instance.
  * Rescue errors from attempts to fetch slow query explain plans
    For slow queries through ActiveRecord 4+, the agent will attempt to fetch
    an explain plan on SELECT statements. In the event that this causes an
    error, such as being run on an adapter that doesn't implement `exec_query`,
    the agent will now rescue and log those errors.
* Sat Oct 29 2016 coolo@suse.com
- updated to version 3.17.0.325
  see installed CHANGELOG
  [#]# v3.17.0 ##
  * Datastore instance reporting for ActiveRecord
    The agent now collects database instance information for ActiveRecord operations,
    when using the MySQL and Postgres adapters.  This information (database server
    and database name) is displayed in transaction traces and slow query traces.
  [#]# v3.16.3 ##
  * Add `:trace_only` option to `notice_error` API
    Previously, calling `notice_error` would record the trace, increment the
    error count, and consider the transaction failing for Apdex purposes. This
    method now accepts a `:trace_only` boolean option which, if true, will only
    record the trace and not affect the error count or transaction.
  * HTTP.rb support
    The agent has been updated to add instrumentation support for the HTTP gem,
    including Cross Application Tracing. Thanks Tiago Sousa for the contribution!
  * Prevent redundant Delayed::Job instrumentation installation
    This change was to handle situations where multiple Delayed::Worker instances
    are being created but Delayed::Job has already been instrumented. Thanks Tony
    Brown for the contribution!
* Thu Aug 25 2016 mrueckert@suse.de
- update to 3.16.2.321
* Tue Apr 19 2016 mrueckert@suse.de
- update to 3.15.1.316
* Tue Feb  2 2016 mrueckert@suse.de
- update to 3.14.2.312
* Wed Sep 23 2015 mrueckert@suse.de
- update to 3.13.1.300
* Mon Mar 16 2015 mrueckert@suse.de
- initial package
